Publish Message

PublishMessage sends a message to an active session.

Use this method for a user to contribute a message to the session.

Request: PublishMessageRequest (specify session name, username, and message) Response: PublishMessageResponse (acknowledgement of published message)

HTTP: POST /v1/conversation/sessions/{name}/messages

Path parameters

sessionstringRequired
The session id.

Request

This endpoint expects an object.
namestringRequired
name of the user publishing the message.
sessionstringRequired
Session is the session object to join.
messageobjectRequired
Message is the message to be published in the session.

Response

OK
acknowledgmentobject
Acknowledgment is the acknowledgment message for the published message.
messageobject
Message is the original message that was published.

Errors

400
Bad Request Error